#include <bits/stdc++.h>
using namespace std;
 struct ps
{long long tu;
 long long mau;
};
long long ucln(long long a, long long b)
{
    while (a!=b)
    {if (a>b)
        {
            a=a-b;
        }
        else b=b-a;
    }
    return a;
}
int main()
{
    ifstream s1("TTPS.INP");
    ofstream s2("TTPS.OUT");
   long long a,b,c,d;
   s1>>a>>b>>c>>d;;
 ps f1={a,b};
 ps f2={c,d};
 ps tong={(f1.tu*f2.mau)+(f2.tu*f1.mau),f1.mau*f2.mau};
 ps tich={f1.tu*f2.tu,f1.mau*f2.mau};
 long long e=tong.tu/ucln(tong.tu,tong.mau);
 long long g=tich.tu/ucln(tich.tu,tich.mau);
 long long h=tong.mau/ucln(tong.tu,tong.mau);
 long long j=tich.mau/ucln(tich.tu,tich.mau);
 s2<<e<<"/"<<h<<endl<<g<<"/"<<j;
   return 0;
}
